Package org.apache.cayenne.configuration.xml

## Class RootDataMapHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.apache.cayenne.configuration.xml.SAXNestedTagHandler
    - - org.apache.cayenne.configuration.xml.NamespaceAwareNestedTagHandler
      - - org.apache.cayenne.configuration.xml.VersionAwareHandler
        - - org.apache.cayenne.configuration.xml.RootDataMapHandler

- All Implemented Interfaces:
    `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

      public class RootDataMapHandler
      extends VersionAwareHandler

  Since:
    4.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.configuration.xml.VersionAwareHandler

      `rootTag`

    - ### Fields inherited from class org.apache.cayenne.configuration.xml.NamespaceAwareNestedTagHandler

      `allowAllNamespaces, targetNamespace`

    - ### Fields inherited from class org.apache.cayenne.configuration.xml.SAXNestedTagHandler

      `loaderContext, locator, parentHandler`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RootDataMapHandler​(LoaderContext loaderContext)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ContentHandler` | `createChildTagHandler​(String namespaceURI, String localName, String qName, Attributes attributes)` | This method should be used to create nested handlers to process children elements.

    - ### Methods inherited from class org.apache.cayenne.configuration.xml.VersionAwareHandler

      `processElement, validateNamespace, validateVersion`

    - ### Methods inherited from class org.apache.cayenne.configuration.xml.NamespaceAwareNestedTagHandler

      `characters, endElement, processCharData, setAllowAllNamespaces, setTargetNamespace, startElement`

    - ### Methods inherited from class org.apache.cayenne.configuration.xml.SAXNestedTagHandler

      `beforeScopeEnd, getParentHandler, setDocumentLocator, stop, unexpectedTagMessage`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RootDataMapHandler

          public RootDataMapHandler​(LoaderContext loaderContext)

  - ### Method Detail

    - #### createChildTagHandler

          protected ContentHandler createChildTagHandler​(String namespaceURI,
                                                         String localName,
                                                         String qName,
                                                         Attributes attributes)

      Description copied from class: `SAXNestedTagHandler`
      This method should be used to create nested handlers to process children elements. This method should never return `null`.
      Overrides:
        `createChildTagHandler` in class `NamespaceAwareNestedTagHandler`
      Parameters:
        `namespaceURI` - namespace for tag
        `localName` - tag local name (i.e. w/o namespace prefix)
        `qName` - tag full name (i.e. with namespace prefix)
        `attributes` - tag attributes
      Returns:
        new handler to process child tag